Groovy Documentation

## org.codehaus.groovy.runtime.callsite
[Java] Class ConstructorSite.NoParamSiteInnerClass

    java.lang.Object
      ConstructorSiteNoUnwrapNoCoerce
          org.codehaus.groovy.runtime.callsite.ConstructorSite.NoParamSiteInnerClass

    public static class ConstructorSite.NoParamSiteInnerClass
    extends ConstructorSiteNoUnwrapNoCoerce

Constructor Summary
`ConstructorSite.NoParamSiteInnerClass(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, java.lang.Class[] params)`

Method Summary
`java.lang.Object` | `callConstructor(java.lang.Object receiver, java.lang.Object[] args)`

Constructor Detail

### ConstructorSite.NoParamSiteInnerClass

    public ConstructorSite.NoParamSiteInnerClass(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, java.lang.Class[] params)

Method Detail

### callConstructor

    public final java.lang.Object callConstructor(java.lang.Object receiver, java.lang.Object[] args)

Groovy Documentation